org.eclnt.workplace

## Class WorkplaceFunctionTreeInfoManager

- java.lang.Object
- - org.eclnt.workplace.WorkplaceFunctionTreeInfoManager

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceFunctionTreeInfoManager
      extends java.lang.Object
      implements java.io.Serializable

  Central class for accessing and writing data files in the area of workplace tree management
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFunctionTreeInfoManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WorkplaceFunctionTreeInfoNode` | `loadFunctionTreeInfo(java.lang.String treeName)` Reads the function tree from the configuration/stream store.
    `static WorkplaceFunctionTreeInfoNode` | `loadFunctionTreeInfo(java.lang.String treeName, boolean resolveEmbeddedTrees)` Reads the function tree from the configuration/stream store.
    `static void` | `main(java.lang.String[] args)`
    `static java.lang.String` | `marshalFunctionTreeInfo(WorkplaceFunctionTreeInfoNode wfti)`
    `static void` | `storeFunctionTreeInfo(java.lang.String treeName, WorkplaceFunctionTreeInfoNode wfti)`
    `static WorkplaceFunctionTreeInfoNode` | `unmarshalFunctionTreeInfo(java.lang.String xml)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFunctionTreeInfoManager

          public WorkplaceFunctionTreeInfoManager()

  - ### Method Detail

    - #### loadFunctionTreeInfo

          public static WorkplaceFunctionTreeInfoNode loadFunctionTreeInfo(java.lang.String treeName)

      Reads the function tree from the configuration/stream store. Embedded trees are NOT resolved.

    - #### loadFunctionTreeInfo

          public static WorkplaceFunctionTreeInfoNode loadFunctionTreeInfo(java.lang.String treeName,
                                                                           boolean resolveEmbeddedTrees)

      Reads the function tree from the configuration/stream store.
      Parameters:
        `resolveEmbeddedTrees` - If set to true then embedded trees are resolved.

    - #### unmarshalFunctionTreeInfo

          public static WorkplaceFunctionTreeInfoNode unmarshalFunctionTreeInfo(java.lang.String xml)

    - #### storeFunctionTreeInfo

          public static void storeFunctionTreeInfo(java.lang.String treeName,
                                                   WorkplaceFunctionTreeInfoNode wfti)

    - #### marshalFunctionTreeInfo

          public static java.lang.String marshalFunctionTreeInfo(WorkplaceFunctionTreeInfoNode wfti)

    - #### main

          public static void main(java.lang.String[] args)

Copyright © CaptainCasa Gmbh. All Rights Reserved.